       SUBROUTINE SWAP (K, L)
       ITEMP = K
       K = L
       L = ITEMP
       RETURN
       END

       N = 5
       M = 10
       WRITE (6,*) N,M
       CALL SWAP (N,M)
       WRITE (6,*) N,M
       STOP
       END
